
* :not(.fa, .fas, .far, .fab, .ui-icon, .fc-icon) {
    font-family: "Cairo", sans-serif !important;
}

.login-pf {
    background: none;
    height: 100%;
    padding-bottom: 10px;
    background-color: #F8F8FB;

}

.wrapper {
    background: url("../img/keycloak-bg.jpg") no-repeat;
    background-size: 100% 100% !important;
    height: 100%;
}

textarea.pf-c-form-control {
    height: auto;
}

.pf-c-alert__title {
    font-size: var(--pf-global--FontSize--xs);
}

p.instruction {
    margin: 5px 0;
}

.pf-c-button.pf-m-control {
    border: solid var(--pf-global--BorderWidth--sm);
    border-color: rgba(230, 230, 230, 0.5);
}

h1#kc-page-title {
    margin-top: 10px;
    color: #0971B8;
    font-size: 18px;
    line-height: 1.25em;
    font-weight: 600;
}

#kc-locale ul {
    background-color: var(--pf-global--BackgroundColor--100);
    display: none;
    top: 20px;
    min-width: 100px;
    padding: 0;
}

#kc-locale-dropdown {
    display: inline-block;
}

#kc-locale-dropdown:hover ul {
    display: block;
}

#kc-locale-dropdown a {
    color: var(--pf-global--Color--200);
    text-align: right;
    font-size: var(--pf-global--FontSize--sm);
}

a#kc-current-locale-link::after {
    content: "\2c5";
    margin-left: var(--pf-global--spacer--xs);
}

.login-pf .container {
    padding-top: 40px;
}

.login-pf a:hover {
    color: #0971B8;
}

#kc-logo {
    width: 100%;
}

div.kc-logo-text {
    background-image: url(../img/keycloak-logo-text.png);
    background-repeat: no-repeat;
    height: 63px;
    width: 300px;
    margin: 0 auto;
}

div.kc-logo-text span {
    display: none;
}

#kc-header {
    color: #ededed;
    overflow: visible;
    white-space: nowrap;
}

#kc-header-wrapper {
    font-size: 29px;
    text-transform: uppercase;
    letter-spacing: 3px;
    line-height: 1.2em;
    padding: 62px 10px 20px;
    white-space: normal;
}

#kc-content {
    width: 100%;
}

#kc-attempted-username {
    font-size: 20px;
    font-family: inherit;
    font-weight: normal;
    padding-right: 10px;
}

#kc-username {
    text-align: center;
    margin-bottom: -10px;
}

#kc-webauthn-settings-form {
    padding-top: 8px;
}

#kc-form-webauthn .select-auth-box-parent {
    pointer-events: none;
}

#kc-form-webauthn .select-auth-box-desc {
    color: var(--pf-global--palette--black-600);
}

#kc-form-webauthn .select-auth-box-headline {
    color: var(--pf-global--Color--300);
}

#kc-form-webauthn .select-auth-box-icon {
    flex: 0 0 3em;
}

#kc-form-webauthn .select-auth-box-icon-properties {
    margin-top: 10px;
    font-size: 1.8em;
}

#kc-form-webauthn .select-auth-box-icon-properties.unknown-transport-class {
    margin-top: 3px;
}

#kc-form-webauthn .pf-l-stack__item {
    margin: -1px 0;
}

#kc-content-wrapper {
    margin-top: 20px;
}

#kc-form-wrapper {
    margin-top: 10px;
}

#kc-info {
    margin: 20px -40px -30px;
}

#kc-info-wrapper {
    font-size: 13px;
    padding: 15px 35px;
    background-color: #f0f0f0;
}

#kc-form-options span {
    display: block;
}

#kc-form-options .checkbox {
    margin-top: 0;
    color: #72767b;
}

#kc-terms-text {
    margin-bottom: 20px;
}

#kc-registration {
    margin-bottom: 0;
}

/* TOTP */

.subtitle {
    text-align: right;
    margin-top: 30px;
    color: #909090;
}

.required {
    color: var(--pf-global--danger-color--200);
}

ol#kc-totp-settings {
    margin: 0;
    padding-left: 20px;
}

ul#kc-totp-supported-apps {
    margin-bottom: 10px;
}

#kc-totp-secret-qr-code {
    max-width: 150px;
    max-height: 150px;
}

#kc-totp-secret-key {
    background-color: #fff;
    color: #333333;
    font-size: 16px;
    padding: 10px 0;
}

/* OAuth */

#kc-oauth h3 {
    margin-top: 0;
}

#kc-oauth ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

#kc-oauth ul li {
    border-top: 1px solid rgba(255, 255, 255, 0.1);
    font-size: 12px;
    padding: 10px 0;
}

#kc-oauth ul li:first-of-type {
    border-top: 0;
}

#kc-oauth .kc-role {
    display: inline-block;
    width: 50%;
}

/* Code */
#kc-code textarea {
    width: 100%;
    height: 8em;
}

/* Social */
.kc-social-links {
    margin-top: 20px;
}

.kc-social-provider-logo {
    font-size: 23px;
    width: 30px;
    height: 25px;
    float: left;
}

.kc-social-gray {
    color: var(--pf-global--Color--200);
}

.kc-social-item {
    margin-bottom: var(--pf-global--spacer--sm);
    font-size: 15px;
    text-align: center;
}

.kc-social-provider-name {
    position: relative;
    top: 3px;
}

.kc-social-icon-text {
    left: -15px;
}

.kc-social-grid {
    display: grid;
    grid-column-gap: 10px;
    grid-row-gap: 5px;
    grid-column-end: span 6;
    --pf-l-grid__item--GridColumnEnd: span 6;
}

.kc-social-grid .kc-social-icon-text {
    left: -10px;
}

.kc-login-tooltip {
    position: relative;
    display: inline-block;
}

.kc-social-section {
    text-align: center;
	margin-top: 10px;
}

.kc-social-section hr {
    margin-bottom: 10px;
}

.kc-login-tooltip .kc-tooltip-text {
    top: -3px;
    left: 160%;
    background-color: black;
    visibility: hidden;
    color: #fff;

    min-width: 130px;
    text-align: center;
    border-radius: 2px;
    box-shadow: 0 1px 8px rgba(0, 0, 0, 0.6);
    padding: 5px;

    position: absolute;
    opacity: 0;
    transition: opacity 0.5s;
}

/* Show tooltip */
.kc-login-tooltip:hover .kc-tooltip-text {
    visibility: visible;
    opacity: 0.7;
}

/* Arrow for tooltip */
.kc-login-tooltip .kc-tooltip-text::after {
    content: " ";
    position: absolute;
    top: 15px;
    right: 100%;
    margin-top: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: transparent black transparent transparent;
}

@media (min-width: 768px) {
    #kc-container-wrapper {
        position: absolute;
        width: 100%;
    }

    .login-pf .container {
        padding-right: 80px;
    }

    #kc-locale {
        position: relative;
        text-align: right;
        z-index: 9999;
    }
}

@media (max-width: 767px) {
    .login-pf body {
        background: white;
    }

    #kc-header {
        padding-left: 15px;
        padding-right: 15px;
        float: none;
        text-align: left;
    }

    #kc-header-wrapper {
        font-size: 16px;
        font-weight: bold;
        padding: 20px 60px 0 0;
        color: #72767b;
        letter-spacing: 0;
    }

    div.kc-logo-text {
        margin: 0;
        width: 150px;
        height: 32px;
        background-size: 100%;
    }

    #kc-form {
        float: none;
    }

    #kc-info-wrapper {
        border-top: 1px solid rgba(255, 255, 255, 0.1);
        background-color: transparent;
    }

    .login-pf .container {
        padding-top: 15px;
        padding-bottom: 15px;
    }

    #kc-locale {
        position: absolute;
        width: 200px;
        top: 20px;
        right: 20px;
        text-align: right;
        z-index: 9999;
    }
}

@media (min-height: 646px) {
    #kc-container-wrapper {
        bottom: 12%;
    }
}

@media (max-height: 645px) {
    #kc-container-wrapper {
        padding-top: 50px;
        top: 20%;
    }
}

.card-pf form.form-actions .btn {
    float: right;
    margin-left: 10px;
}

#kc-form-buttons {
    margin-top: 20px;
    width: 100%;
    display: grid;
    justify-content: center;
}

.login-pf-page .login-pf-brand {
    margin-top: 20px;
    max-width: 360px;
    width: 40%;
}

.select-auth-box-arrow {
    display: flex;
    align-items: center;
    margin-right: 2rem;
}

.select-auth-box-icon {
    display: flex;
    flex: 0 0 2em;
    justify-content: center;
    margin-right: 1rem;
    margin-left: 3rem;
}

.select-auth-box-parent {
    border-top: 1px solid var(--pf-global--palette--black-200);
    padding-top: 1rem;
    padding-bottom: 1rem;
    cursor: pointer;
}

.select-auth-box-parent:hover {
    background-color: #f7f8f8;
}

.select-auth-container {
    padding-bottom: 0px !important;
}

.select-auth-box-headline {
    font-size: var(--pf-global--FontSize--md);
    color: var(--pf-global--primary-color--100);
    font-weight: bold;
}

.select-auth-box-desc {
    font-size: var(--pf-global--FontSize--sm);
}

.select-auth-box-paragraph {
    text-align: center;
    font-size: var(--pf-global--FontSize--md);
    margin-bottom: 5px;
}

.card-pf {
    margin: 0 auto;
    box-shadow: var(--pf-global--BoxShadow--lg);
    padding: 0 20px;
    max-width: 500px;
    border-top: 4px solid;
    border-color: #007cb8;
}

/*phone*/
@media (max-width: 767px) {
    .login-pf-page .card-pf {
        max-width: none;
        margin-left: 0;
        margin-right: 0;
        padding-top: 0;
        border-top: 0;
        box-shadow: 0 0;
    }

    .kc-social-grid {
        grid-column-end: 12;
        --pf-l-grid__item--GridColumnEnd: span 12;
    }

    .kc-social-grid .kc-social-icon-text {
        left: -15px;
    }
}

.login-pf-page .login-pf-signup {
    font-size: 15px;
    color: #72767b;
}
#kc-content-wrapper .row {
    margin-left: 0;
    margin-right: 0;
}

.login-pf-page.login-pf-page-accounts {
    margin-left: auto;
    margin-right: auto;
}

.login-pf-page .btn-primary {
    margin-top: 0;
}

.login-pf-page .list-view-pf .list-group-item {
    border-bottom: 1px solid #ededed;
}

.login-pf-page .list-view-pf-description {
    width: 100%;
}

#kc-form-login div.form-group:last-of-type,
#kc-register-form div.form-group:last-of-type,
#kc-update-profile-form div.form-group:last-of-type,
#kc-update-email-form div.form-group:last-of-type {
    margin-bottom: 0px;
}

.no-bottom-margin {
    margin-bottom: 0;
}

#kc-back {
    margin-top: 5px;
}

/* Recovery codes */
.kc-recovery-codes-warning {
    margin-bottom: 32px;
}
.kc-recovery-codes-warning .pf-c-alert__description p {
    font-size: 0.875rem;
}
.kc-recovery-codes-list {
    list-style: none;
    columns: 2;
    margin: 16px 0;
    padding: 16px 16px 8px 16px;
    border: 1px solid #d2d2d2;
}
.kc-recovery-codes-list li {
    margin-bottom: 8px;
    font-size: 11px;
}
.kc-recovery-codes-list li span {
    color: #6a6e73;
    width: 16px;
    text-align: right;
    display: inline-block;
    margin-right: 1px;
}

.kc-recovery-codes-actions {
    margin-bottom: 24px;
}
.kc-recovery-codes-actions button {
    padding-left: 0;
}
.kc-recovery-codes-actions button i {
    margin-right: 8px;
}

.kc-recovery-codes-confirmation {
    align-items: baseline;
    margin-bottom: 16px;
}
#kc-form-login div > label {
    font-weight: bold;
    color: #0971B8 !important;
	font-size: 16px !important;/*MD*/
}
/* End Recovery codes */
div#kc-registration .fa {
    color: #007cb8;
}
a#registerCount {
    display: inline-flex;
    margin: 9px 20px;
}
#kc-login {
	background-color: #0971B8;
	border-color: transparent;
	color: #fff;
    white-space: normal;
	border-radius: 64px !important;
	font-size: 14px;
	line-height: 16px;
	font-weight: 600;
	padding-left: 32px;
	padding-right: 32px;
	height: 48px;
	outline: none;
	text-align: center;
	vertical-align: middle;
	cursor: pointer;
	
}
#registerAccount .fa, #forgetPassword .fa,#retourSurLeSite .fa
 {   
    margin-right: 7px;
    display:inline-block;
    color: #007cb8;
}

/* Custom css */
.card-pf {
    margin-top: 100px;
    box-shadow: var(--pf-global--BoxShadow--lg);
    padding: 0 20px;
    max-width: 550px;
    border-top: 4px solid;
    border-color: transparent;
	border-radius: 8px;	
    box-shadow: none;

}}

.login-pf-header {
    display: none;
}

#kc-header-wrapper {
    padding: 0px;
    height: 80px;
    background: #fff url("../img/keycloak-logo.png") no-repeat;
    background-size: contain;
    position: absolute;
    margin-top: -20px;
    width: 100%;
    background-position: 20px 0px;
}

.login-pf body {
    background: none !important;
}

#ecitizCnil, #loi, #ecitizFooterBottom2 p {
	border: none !important;
	text-align: center !important;
	font-size: 13px !important;
}

#ecitizFooterWrapper {
	background-color: #f8f8fb;
	margin: 0%;
	padding-left: 1%;
	padding-right: 1%;
	margin-top: 3%;
	width: 100%;
}

#ecitizCnil p {
    font-size: 14px !important;
    line-height: 100%;
    font-weight: 400;
    color: #666D92;
}

#ecitizCnil a {
    color: #0e4c81 !important;;
}
#ecitizAccessibilite a {
    color: #0e4c81 !important;;
}

#credits a {
    padding-left: 5px;
    text-decoration: none;
    color: #0e4c81;
    font-weight: 900;
}
#credits {
    padding-top: 3px;
    float: right;
    color: #0e4c81;
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
}

.egoContainerTableStyle[id^="identifiant"]:before {
    color: #000;
}
.egoContainerTableStyle[id^="identifiant"]:before {
    content: "\e909";
    position: absolute;
    display: none;
    top: calc(37% - 12px);
    transform: translate(0, -50%);
    font-family: "icomoon";
    font-size: 16px;
    right: calc(63% - 14px);
}
.egoContainerTableStyle[id^="MotDePasse"]:before {
    color: #000;
}
i#togglePasswordOfMotDePasse_champcalcule4_5Qws {
    font-family: 'Font Awesome 5 Free';
    color: #d85249;
    cursor:pointer;
    position:relative;
    right:21px;
    margin-left:-21px;
    font-size: 14px;
    
}
.egoContainerTableStyle[id^="MotDePasse"]:before {
    content: "\e908";
    position: absolute;
    display: none;
    top: calc(47% - 14px);
    right: calc(63% - 14px);
    transform: translate(0, -50%);
    font-family: "icomoon";
    font-size: 16px;
}

.egoLinkGuidgetStyle {
  color: #000;
   padding-left: 12px;
   line-height: 2em;
   font-size: 16px;
}

#Ou-message15-5Qws {
	font-size: 14px;
    font-weight: bold;
    font-family: arial;
    color: #000;
	text-align:center;
}

#Ou-message15-5Qws::before {
	margin-bottom: 3px;
    border-bottom: 1px solid;
    color: #000;
    content: "";
    display: inline-block;
    width: 40%;
	margin-right: 6px;
}
#Ou-message15-5Qws::after {
	margin-bottom: 3px;
    border-bottom: 1px solid;
    color: #000;
    content: "";
    display: inline-block;
    width: 40%;
	margin-left: 6px;
}

a {
	color : #0971B8 !important;
	font-size: 16px !important;
}

.fa::before, .fa-eye::before {
  color: #0971B8;
}

.login-pf-page {
	height: 100% !important;
}

body {
  height: auto;
}

.fa, .fas, .far, .fal, .fab {
    display: initial !important;
}

.kc-social-links .pf-c-button.pf-m-block{
    font-family: 'Font Awesome 5 Free';
    background-color: #d85249;
    height: 50px;
    border:none;
    box-shadow: 0 1px 5px 1px rgba(0,0,0,0.1);
}

.kc-social-links .kc-social-provider-name{
     color: #fff;
    font-size: 20px;
}

.kc-social-links .kc-social-provider-name::before {
  content: "\279C   ";
  font-size: 20px;
}